// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package order

import (
	"context"

	"juwan-backend/app/order/api/internal/svc"
	"juwan-backend/app/order/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type AcceptOrderLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

// 接单
func NewAcceptOrderLogic(ctx context.Context, svcCtx *svc.ServiceContext) *AcceptOrderLogic {
	return &AcceptOrderLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *AcceptOrderLogic) AcceptOrder(req *types.PathId) (resp *types.EmptyResp, err error) {
	if err = transitionOrderStatus(l.ctx, l.svcCtx, req.Id, "in_progress", true, false, false, false); err != nil {
		return nil, err
	}

	return &types.EmptyResp{}, nil
}
